plymouth-plugin-label-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm


Advertisement

Description

plymouth-plugin-label - Plymouth label plugin

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename plymouth-plugin-label-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm
Package name plymouth-plugin-label
Package version 0.9.4+git20190325+b9f2aac
Package release 2.1
Package architecture x86_64
Package type rpm
Category System/Base
Homepage http://www.freedesktop.org/wiki/Software/Plymouth
License GPL-2.0-or-later
Maintainer -
Download size 24.73 KB
Installed size 14.35 KB
This package contains the label control plugin for
Plymouth. It provides the ability to render text on
graphical boot splashes using pango and cairo.

Alternatives

Package Version Architecture Repository
plymouth-plugin-label-0.9.4+git20190325+b9f2aac-2.1.i586.rpm 0.9.4+git20190325+b9f2aac i586 openSUSE Oss
plymouth-plugin-label - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -
libcairo.so.2()(64bit) -
libgobject-2.0.so.0()(64bit) -
libpango-1.0.so.0()(64bit) -
libpangocairo-1.0.so.0()(64bit) -
libply-splash-core.so.4()(64bit) -
libply-splash-graphics4 = 0.9.4+git20190325+b9f2aac

Provides

Name Value
plymouth-plugin-label = 0.9.4+git20190325+b9f2aac-2.1
plymouth-plugin-label(x86-64) = 0.9.4+git20190325+b9f2aac-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package plymouth-plugin-label-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm
Source Package plymouth-0.9.4+git20190325+b9f2aac-2.1.src.rpm

Install Howto

Install plymouth-plugin-label rpm package:

# zypper install plymouth-plugin-label

Files

Path
/usr/lib64/plymouth/label.so

Changelog

2019-04-02 - Stasiek Michalski <hellcp@mailbox.org>
- Change default openSUSE theme to bgrt
2019-03-27 - Cliff Zhao <qzhao@suse.com>
- Update to version 0.9.4+git20190325+b9f2aac:
* themes: Update spinner and bgrt background settings
* Translations: Sync translations with zanata
2019-03-24 - Stasiek Michalski <hellcp@mailbox.org>
- Fix theme-bgrt dependencies
(based on plugin-two-step with images from theme-spinner)
2019-03-12 - qzhao@suse.com
- Update to version 0.9.4+git20181219.c8f1256:
* ply-pixel-buffer: Fix right and bottom edge rendering of
scaled buffers.
* Add support for translating the user visible strings in some
themes
* Prefix Title and Subtitle theme config keywords with an
underscore
* Add new reboot and system-upgrade modes
* main: Remove private ply_mode_t
* two-step: Make ProgressBarShowPercentComplete a per mode
setting
* plymouthd.defaults: Change default ShowDelay to 0
* ply-boot-splash: Do not add ply_boot_splash_update_progress
timeout multiple times
* logging: Minor log-message fixes.
Improve logging format.
* themes: Update spinner and bgrt theme offline updates mode
* two-step: Add a per mode setting to suppress messages.
Add progress-bar support.
Add MessageBelowAnimation option.
Add per mode settings.
Drop background_is_bgrt view_t member
* ply-progress-bar: Allow caller to specify the widgets width and
height.
Allow choosing fore- and back-ground color.
Redraw on percentage update.
* boot-server: fix type confusion when allocating connection object
* ply-device-manager: Handle change events for monitor hotplugging.
Consume all events in one go.
* drm: Stop limiting preferred-mode picking to UEFI systems.
Reset mode on display-port connected outputs with a bad
link-status.
Implement handle_change_event.
Ensure heads are mapped before flushing them.
Allow calling create_heads_for_active_connectors multiple
times.
Allow calling ply_renderer_head_add_connector with existing
connector_id.
Limit backend->resources lifetime to within query_device.
Store and keep all the outputs in the backend.
Add get_output_info helper function
Stop storing a pointer to drmModeConnector in ply_output_t
Stop keeing a drmModeConnector instance around.
Refactor ply_renderer_head_add_connector and
ply_renderer_head_new
- Rebase 0002-Install-label-ft-plugin-into-initrd-if-available.patch
2019-01-02 - qzhao@suse.com
- Update to version 0.9.4+git20181219.c8f1256:
* two-step: Use plymouth_strtod
Use the locale agnostic plymouth_strtod helper which always
uses a "." as decimal seperator. This fixes the various
Alignment options not working with some locales.
2018-12-12 - qzhao@suse.com
- Update to version 0.9.4+git20181209.f7d5bb1:
* ply-keyboard: Fix compiler warning
* When a renderer goes away on a udev remove event, free
keyboards associated with the renderer, before freeing the
renderer.
* device-manager: free keyboards when deactivating a renderer
* keyboard: add helper to get the keyboard's renderer, if
applicable.
2018-12-05 - qzhao@suse.com
- Update to version 0.9.4+git20181204.0cd0613:
* drm: Pick a controller for unconfigured connectors
* drm: Drop crtcs for clones for which we've picked different
modes
* drm: More connector enumeration refactoring
* drm: Store tiled and rotation in ply_output_t
* drm: Refactor create_heads_for_active_connectors
* drm: Directly store the mode instead of the mode_index
* drm: Drop unused encoder_id

See Also

Package Description
plymouth-plugin-label-ft-0.9.4+git20190325+b9f2aac-2.1.i586.rpm Plymouth FreeType label plugin
plymouth-plugin-label-ft-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm Plymouth FreeType label plugin
plymouth-plugin-script-0.9.4+git20190325+b9f2aac-2.1.i586.rpm Plymouth "script" plugin
plymouth-plugin-script-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm Plymouth "script" plugin
plymouth-plugin-space-flares-0.9.4+git20190325+b9f2aac-2.1.i586.rpm Plymouth "space-flares" plugin
plymouth-plugin-space-flares-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm Plymouth "space-flares" plugin
plymouth-plugin-throbgress-0.9.4+git20190325+b9f2aac-2.1.i586.rpm Plymouth "Throbgress" plugin
plymouth-plugin-throbgress-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm Plymouth "Throbgress" plugin
plymouth-plugin-tribar-0.9.4+git20190325+b9f2aac-2.1.i586.rpm Plymouth "script" plugin
plymouth-plugin-tribar-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm Plymouth "script" plugin
plymouth-plugin-two-step-0.9.4+git20190325+b9f2aac-2.1.i586.rpm Plymouth "two-step" plugin
plymouth-plugin-two-step-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm Plymouth "two-step" plugin
plymouth-scripts-0.9.4+git20190325+b9f2aac-2.1.i586.rpm Plymouth related scripts
plymouth-scripts-0.9.4+git20190325+b9f2aac-2.1.x86_64.rpm Plymouth related scripts
plymouth-theme-bgrt-0.9.4+git20190325+b9f2aac-2.1.noarch.rpm Plymouth "bgrt" theme
Advertisement
Advertisement